# Google Dataflow API . projects . jobs . debug

## Instance Methods

Get encoded debug configuration for component. Not cacheable.

Send encoded debug capture data for component.

### Method Details

`getConfig(projectId, jobId, body, x__xgafv=None)`

    Get encoded debug configuration for component. Not cacheable.

    Args:
      projectId: string, The project id. (required)
      jobId: string, The job id. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Request to get updated debug configuration for component.
        "workerId": "A String", # The worker id, i.e., VM hostname.
        "componentId": "A String", # The internal component id for which debug configuration is requested.
      }

      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response to a get debug configuration request.
        "config": "A String", # The encoded debug configuration for the requested component.
      }

`sendCapture(projectId, jobId, body, x__xgafv=None)`

    Send encoded debug capture data for component.

    Args:
      projectId: string, The project id. (required)
      jobId: string, The job id. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Request to send encoded debug information.
        "workerId": "A String", # The worker id, i.e., VM hostname.
        "data": "A String", # The encoded debug information.
        "componentId": "A String", # The internal component id for which debug information is sent.
      }

      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response to a send capture request. nothing
      }